/* 
foo_sync 0.1
Copyright (C) 2009  Denis Egea

    This program is free software: you can redistribute it and/or modify
    it under the terms of the Lesser GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the Lesser GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "config.h"

const GUID my_preferences_page::guid_usb_sync_path;
cfg_string my_preferences_page::g_usb_sync_path(guid_usb_sync_path,false);
const GUID my_preferences_page::guid_my_preferences_page;

HWND my_preferences_page::create(HWND parent)
{ 
	return uCreateDialog(IDD_FOOSYNC, parent, ConfigProc, 0);
};

const char* my_preferences_page::get_name()
{ 
	return "Foo Sync"; 
};

GUID my_preferences_page::get_guid() 
{ 
	return guid_my_preferences_page; 
};

GUID my_preferences_page::get_parent_guid() 
{
	return preferences_page::guid_tools;
};



bool my_preferences_page::reset_query() 
{ 
	return true; 
};

void my_preferences_page::reset()
{
};


const char* my_preferences_page::get_usb_sync_path() const
{
		return g_usb_sync_path;
};